Tango 9 in Ubuntu 16

Hi Josmar,

in answer to your question about tango9 on Ubuntu 16 (see below) I am using tango-9.2.2 on my laptop running Ubuntu 16.04. THe only change I had to make was replace the mysqlclient_r with mysqlclient in the configure script of the source code distribution:

goetz@pcandy:~/tango/tango-9.2.2$ diff configure configure.orig
18725c18725
<     MYSQLCLIENT_LIBS="-lmysqlclient"
—
>     MYSQLCLIENT_LIBS="-lmysqlclient_r"
Then run configure. I ran it with these parameters:

./configure –prefix=/usr/local/tango92/

The final output from the configure was :


Configuration (tango):

        Source code location:   .
        Version:                9.2.2
        Compiler:               gcc,g++

        OMNIORB PATH:           /usr/local
        OMNIORB VERSION:

        ZMQ PATH:               /usr
        ZMQ VERSION:            4.1.4

        JAVA PATH:              /usr/bin/java
        JAVA VERSION:           1.8.0_45

        MYSQL CLIENT LIB:        -lmysqlclient
        MYSQL VERSION:          10.0.24-MariaDB
        MYSQL CONNECTION:       OK

build:
        libraries:              yes
        java application:       yes
        access control server:  yes
        database server:        yes
        database schema create: yes

As you can see I am using the latest ZMQ from Ubuntu and MariaDB. MySQL (the default) works very well.

The final versions I am using of all the libraries when I do ldd on the Databaseds are:

goetz@pcandy:~/tango/tango-9.2.2$ ldd /usr/local/tango92/bin/DataBaseds 
	linux-vdso.so.1 =>  (0x00007fff76d4f000)
	libtango.so.9 => /usr/local/tango92/lib/libtango.so.9 (0x00007f0a850c0000)
	liblog4tango.so.5 => /usr/local/tango92/lib/liblog4tango.so.5 (0x00007f0a84ea7000)
	libmysqlclient.so.20 => /usr/lib/x86_64-linux-gnu/libmysqlclient.so.20 (0x00007f0a8486c000)
	libomniORB4.so.1 => /usr/lib/libomniORB4.so.1 (0x00007f0a844c8000)
	libomniDynamic4.so.1 => /usr/lib/libomniDynamic4.so.1 (0x00007f0a84002000)
	libomnithread.so.3 => /usr/lib/libomnithread.so.3 (0x00007f0a83dfb000)
	libpthread.so.0 => /lib/x86_64-linux-gnu/libpthread.so.0 (0x00007f0a83bde000)
	libstdc++.so.6 => /usr/lib/x86_64-linux-gnu/libstdc++.so.6 (0x00007f0a8385c000)
	libgcc_s.so.1 => /lib/x86_64-linux-gnu/libgcc_s.so.1 (0x00007f0a83645000)
	libc.so.6 => /lib/x86_64-linux-gnu/libc.so.6 (0x00007f0a8327c000)
	libzmq.so.5 => /usr/lib/x86_64-linux-gnu/libzmq.so.5 (0x00007f0a83016000)
	libdl.so.2 => /lib/x86_64-linux-gnu/libdl.so.2 (0x00007f0a82e11000)
	libCOS4.so.1 => /usr/lib/libCOS4.so.1 (0x00007f0a82399000)
	libm.so.6 => /lib/x86_64-linux-gnu/libm.so.6 (0x00007f0a82090000)
	libz.so.1 => /lib/x86_64-linux-gnu/libz.so.1 (0x00007f0a81e75000)
	/lib64/ld-linux-x86-64.so.2 (0x0000556525dee000)
	libsodium.so.18 => /usr/lib/x86_64-linux-gnu/libsodium.so.18 (0x00007f0a81c17000)
	librt.so.1 => /lib/x86_64-linux-gnu/librt.so.1 (0x00007f0a81a0e000)
It looks like zmq.so.5 is now the latest version in the Ubuntu repository. It works fine for me. Let me know if you are still have problems and send me the output.

Cheers

Andy
On 24/06/2016 14:55, Regalado Josmar wrote:
> Hi Andy:
>
>
> I am experiencing some troubles with the mysql due to new versions (now the 5.7) that comes with Ubuntu 16.
> In some of the forums of TANGO controls you said you have that configuration (TANGO 9 and Ubuntu 16).
> Can you please give and insight on how you did it? Versions of the dependencies (zmq, onmiorb, <specially>mysql) you install, sources or binaries, patch. etc.
>
> I hope this does not take too much time from you. And sorry if this is not the way to ask you about this, may be is a TANGO controls forum… ?
>
> Regards from Prague.
> J.
Hello:

I follow instructions. Install TANGO 9.2 from sources, and the rest from repositories.
The issues 1.- libmysqlclient_r and 2.- append the mode to mysqld.cof were solved.
Everything looks fine.

Thanks.
MYSQLCLIENT_LIBS="-lmysqlclient_r" does not work with non-maria databases.
This is known. Replace with -lmysqlclient - see post above.

Andy
Andy,

The problem now is that "-lmysqlclient_r" is in the source package (9.2.2), i.e. you have to alter configure if you want to install tango with non-maria db.

BTW DatabaseDs does not work after installing from source:


ingvord@Fujitsu:$ /opt/tango-9.2.2/bin/DataBaseds 2 -ORBendPoint giop:tcp::10000
main(): arrived 
Received a CORBA::Exception
Tango exception
Severity = ERROR 
Error reason = DB_SQLError
Desc : Failed to query TANGO database (error=Table 'tango.property_device_hist' doesn't exist)
The query was: SELECT count(*) FROM property_device_hist
Origin : DataBase::check_history_tables()

Exiting

Edited 3 years ago
Strange . It works for me on my laptop running Ubuntu 16.04. Is this a clean installation or upgrading an existing one? I am not aware of this table being new.
Installation of tango? It is *clean*, i.e. I have downloaded tango-9.2.2.tar.gz extarcted, configured, made, made install. Previous version was purged, i.e. apt-get remove –purge libtango*

Ubuntu itself is an upgrade.

UPDATE 1:

Maybe this is relevant - I had to alter create_db_tables.sql script: added default value to the `accessed` field of the tables

UPDATE 2:

This seems to be solved here

UPDATE 3:

I currently have version 5.7 and it does not work :(
Edited 3 years ago
 
Register or login to create to post a reply.